"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonPathToDotNotation = void 0;
const compatibility_error_1 = require("./compatibility-error");
function jsonPathToDotNotation(path) {
    // replace brackets with dot notation
    const withoutBrackets = path.replace(/\[(?:[']?)([a-zA-Z0-9\-_]+)(?:[']?)\]/g, ".$1");
    // if not valid dot notation, throw error
    const isValid = /^\$(?:[.]{1}[a-zA-Z0-9_-]+)+$/.test(withoutBrackets);
    if (!isValid) {
        throw new compatibility_error_1.CompatibilityError("can not convert between json-path and dot notation");
    }
    return withoutBrackets.substring("$.".length);
}
exports.jsonPathToDotNotation = jsonPathToDotNotation;
